QGIS Application - Bug report #1071
units conversion bogus for meters <-> feet
2008-05-06 02:18 PM - bgullatt -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 11131
Description

Formating - When value crosses 1000 justification jumps to left.

Conversion - When you change map units in project properties there is no conversion just changes the unit text. If you change from meters
to feet for instance it will show 1 mile at 1000 feet.

Related to #1024

History

#1 - 2008-07-16 07:43 AM - Maciej Sieczka -

| can't reproduce the problem with formatting in 0.11 on GNU/Linux or Windows XP.

But the second issue still takes place, at least partially, both on Windows and GNU/Linux. Miles <-> kilometers transformation is OK, however if you zoom

in so that hundreds of meters are displayed instead of kilometers, and change the project units, QGIS will claim that e.g. 200 m=200 feet. Easy to verify

using map scale plugin.

#2 - 2008-09-15 01:24 AM - Magnus Homann

This is the intended behaviour. The setting reflects what base unit is used, e.g the distance between (0,10) and (10,10) is set at 10 meter or 10 feet.

#3 - 2008-10-21 01:35 PM - Magnus Homann

- Resolution set to invalid

- Status changed from Open to Closed

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
